summaryrefslogtreecommitdiff
path: root/lf/lfs
diff options
context:
space:
mode:
authorJohn Ankarström <john@ankarstrom.se>2020-11-23 23:11:33 +0100
committerJohn Ankarström <john@ankarstrom.se>2020-11-23 23:23:29 +0100
commit292678dc5037817c67e2c953012b4a84cf297475 (patch)
treeec12b4b12bf8a8e1748e66d7f9337f5e0971172b /lf/lfs
downloadmsc-292678dc5037817c67e2c953012b4a84cf297475.tar.gz
Add dz (Deezer) and lf (Last.fm) tools
Diffstat (limited to 'lf/lfs')
-rwxr-xr-xlf/lfs19
1 files changed, 19 insertions, 0 deletions
diff --git a/lf/lfs b/lf/lfs
new file mode 100755
index 0000000..112e994
--- /dev/null
+++ b/lf/lfs
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+# Get similar songs from Last.fm
+
+usage() { echo usage: $0 base-url 1>&2; exit 1; }
+
+url=$1
+
+# Retrieve similar songs
+curl -s "$url" |
+sed '/^[ ]*$/d' |
+awk -F \" '
+ /class="track-similar-tracks-item-name"/ {
+ getline;
+ getline;
+ print $2;
+ }
+' |
+sed 's,^,https://www.last.fm,'